daisy-player(1)

NAME
daisy-player - player for DAISY Digital Talking Books or Audio-CD's

SYNOPSIS
daisy-player [directory_with_a_Daisy-structure] [-c cdrom_device] [-d ALSA_sound_device] [-n | -y]

DESCRIPTION
Daisy-player reads a Daisy-CD and plays the audio-files. DAISY versions 2.02 and 3 are currently supported, as well as volumes with multiple books.

Daisy-player also can play Audio-CD's and tries to get CD-information from a cddb-database.

A list of items on the Daisy-CD or Audio-CD will appear. Press <ENTER> to start playing. When reading of an item has finished, daisy-player will play the next item and the cursor will automatically skip to that item, so that an attached braille-terminal will display the name of that item.

OPTIONS

directory_with_a_Daisy-structure
    One could also give a directory with a daisy structure as argument to daisy-player.

-c cdrom_device
    Use DEVICE as the CD device. DEVICE is the device special file name of the CD-ROM device. The default is /dev/sr0.

-d ALSA_sound_device
    Daisy-player will play on this sound device. Default is "hw:0".

-n  Don't fetch cddb-information of an Audio-CD from the internet.

-y  Fetch cddb-information of an Audio-CD from the internet.

SCREEN
The name and version of this program and the name of the author will be displayed left aligned at the top of the screen. The name of the current loaded book will be displayed right aligned.

The second row of the screen will display the number of pages of the current loaded book (if any), the current selected level and the total number of levels, the total playing time, the current displayed screen and the total number of screens.

The next rows will display the title of the item, the first page of the item within brackets (if there are pages) and the playing time. Items in higher levels will be indented. (Three spaces each level.) When "just playing this item" is active, a "J" will be viewed at the first column of that item.

CONTROL KEYS
Daisy-player recognizes the following keyboard-commands:

cursor down
    move cursor to the next item

cursor up
    move cursor to the previous item

cursor right
    skip to next phrase

cursor left
    skip to previous phrase

page-down
    view next screen

page-up
    view previous screen

enter
    Start playing

space
    pause/resume playing

home
    play on normal speed

/   search for a label

d   store current item to disk

D   decrease playing speed

e   stop playing and eject

f   find the currently playing item and place the cursor there

g (DAISY-CD)
    go to page number (if any)

g (Audio-CD)
    go to time in this song (MM:SS)

h or ?
    give this help

j   just play current item and place a "J" at the first column.

l   switch to next level

L   switch to previous level

n   search forewards

N   search backwards

o   select next output sound device

p   place a bookmark

q   quit daisy-player. The playing-point will be saved as bookmark.

s   stop playing

U   increase playing speed

NOTES
When playing an Audio-CD skip-left and skip-right react a little late. The same for commands like 'U', 'D' and HOME.

FILES

~/.daisy-player/
    This directory contains the bookmarks. Each file has the name of the book and contains the name of the current item, the start-time of that item and the current level, each on a own line.

~/.daisy-player.rc
    This file contains the name of the desired audio device and the desired playing speed.

SEE ALSO
cddbget(1)

AUTHOR
Jos Lemmens <jos@jlemmens.nl>

COPYRIGHT
Copyright (C)2003-2013 Jos Lemmens <jos@jlemmens.nl>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program (see the file COPYING); if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA